| opusfile 0.11 Stand-alone decoder library for .opus files.

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
OpusServerInfo Struct Reference
URL Reading Options

HTTP/Shoutcast/Icecast server information associated with a URL. More...

`#include <opusfile.h>`

## Data Fields
char * | name
| The name of the server (icy-name/ice-name). More...
char * | description
| A short description of the server (icy-description/ice-description). More...
char * | genre
| The genre the server falls under (icy-genre/ice-genre). More...
char * | url
| The homepage for the server (icy-url/ice-url). More...
char * | server
| The software used by the origin server (Server). More...
char * | content_type
| The media type of the entity sent to the recepient (Content-Type). More...
opus_int32 | bitrate_kbps
| The nominal stream bitrate in kbps (icy-br/ice-bitrate). More...
int | is_public
| Flag indicating whether the server is public (`1`) or not (`0`) (icy-pub/ice-public). More...
int | is_ssl
| Flag indicating whether the server is using HTTPS instead of HTTP. More...

## Detailed Description

HTTP/Shoutcast/Icecast server information associated with a URL.

## Field Documentation

char* OpusServerInfo::name

The name of the server (icy-name/ice-name).

This is `NULL` if there was no `icy-name` or `ice-name` header.

char* OpusServerInfo::description

A short description of the server (icy-description/ice-description).

This is `NULL` if there was no `icy-description` or `ice-description` header.

char* OpusServerInfo::genre

The genre the server falls under (icy-genre/ice-genre).

This is `NULL` if there was no `icy-genre` or `ice-genre` header.

char* OpusServerInfo::url

The homepage for the server (icy-url/ice-url).

This is `NULL` if there was no `icy-url` or `ice-url` header.

char* OpusServerInfo::server

The software used by the origin server (Server).

This is `NULL` if there was no `Server` header.

char* OpusServerInfo::content_type

The media type of the entity sent to the recepient (Content-Type).

This is `NULL` if there was no `Content-Type` header.

opus_int32 OpusServerInfo::bitrate_kbps

The nominal stream bitrate in kbps (icy-br/ice-bitrate).

This is `-1` if there was no `icy-br` or `ice-bitrate` header.

int OpusServerInfo::is_public

Flag indicating whether the server is public (`1`) or not (`0`) (icy-pub/ice-public).

This is `-1` if there was no `icy-pub` or `ice-public` header.

int OpusServerInfo::is_ssl

Flag indicating whether the server is using HTTPS instead of HTTP.

This is `0` unless HTTPS is being used. This may not match the protocol used in the original URL if there were redirections.

The documentation for this struct was generated from the following file:

- /tmp/slackrepo/SBo/slackrepo.SdRaog/build_opusfile/opusfile-0.11/include/opusfile.h